Generate staged invoices
curl --request POST \
--url https://api.paygentic.io/v0/billingSchedules/{id}/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/billingSchedules/{id}/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/billingSchedules/{id}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "schedule_invoice",
"orderId": "<string>",
"billingScheduleId": "<string>",
"merchantId": "<string>",
"periodStart": "2023-11-07T05:31:56Z",
"periodEnd": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"amount": "<string>",
"lineItems": [
{
"description": "<string>",
"quantity": "<string>",
"unitPrice": "<string>",
"subtotal": "<string>",
"lineKey": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}Billing Schedules
Generate staged invoices
Generate (or regenerate) staged invoice projections for a schedule from its current intervals. Idempotent — replaces any existing staged rows. Schedule must have at least one interval.
POST
/
v0
/
billingSchedules
/
{id}
/
invoices
Generate staged invoices
Authorizations
API key authentication
Path Parameters
Was this page helpful?
⌘I